---
category: builds
order: 10
toc: false
feedback-widget: false
meta-title: CKEditor 5 Builds documentation
meta-description: Learn how to install, integrate, configure and develop CKEditor 5 Builds. Browse through API documentation and online samples.
---

# CKEditor 5 Builds

CKEditor 5 Builds are the fastest and easiest way to use CKEditor 5 in your application.

<info-box>
	Use the <span class="navigation-hint_desktop">**navigation tree on the left**</span><span class="navigation-hint_mobile">**main menu button in the upper-left corner**</span> to navigate through CKEditor 5 Builds documentation.
</info-box>

Learn more about the {@link builds/guides/overview available pre-configured builds} or {@link builds/guides/development/custom-builds creating custom builds} and updating them on the go with the {@link builds/guides/development/dll-builds DLL webpack} solution.

Get to know more about the {@link builds/guides/development/plugins plugin development} and the supported {@link builds/guides/frameworks/overview integrations with popular JavaScript frameworks}.

Refer to the {@link builds/guides/migration/migration-from-ckeditor-4 CKEditor 4 migration guide} or other migration guides if you are updating your CKEditor 5 installation.

## Related links

 * {@link examples/index Examples} &ndash; Try live demos of all available builds.
 * {@link features/index Features} &ndash; Learn about some of the features included in CKEditor 5 Builds.
